Last Comment Bug 278383 - Get All New Messages doesn't work with movemail account
: Get All New Messages doesn't work with movemail account
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Movemail (show other bugs)
: unspecified
: All All
: -- normal with 4 votes (vote)
: mozilla1.9.1a1
Assigned To: Karsten Düsterloh
:
:
Mentors:
: 339778 376354 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 06:35 PST by Bradley T Hughes
Modified: 2010-09-17 17:56 PDT (History)
19 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
check movemail account on startup and GetAllMessages (2.98 KB, patch)
2008-02-06 14:06 PST, Karsten Düsterloh
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review
untested mozilla1.8 branch patch (2.57 KB, patch)
2008-06-28 17:09 PDT, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review

Description Bradley T Hughes 2005-01-14 06:35:48 PST
I have setup Thunderbird with 2 accounts: 1 IMAP account and 1 UNIX movemail  
account.  
  
The movemail account is not checked at startup (even though the option is  
enabled), and it is not checked when using the "Get All New Messages" menu  
item or Control+Shift+T 
 
To reproduce: 
 
1. from the command line: 
    $ echo "test" | mail -s none username 
 
2. Press Control+Shift+T or select the Get All New Messages menu item... mail 
does not show up.  However, selecting "Get New Messages for movemail" works.
Comment 1 grinning 2005-08-28 06:18:00 PDT
(In reply to comment #0)
> I have setup Thunderbird with 2 accounts: 1 IMAP account and 1 UNIX movemail  
> account.  
>   
> The movemail account is not checked at startup (even though the option is  
> enabled), and it is not checked when using the "Get All New Messages" menu  
> item or Control+Shift+T 
>  
> To reproduce: 
>  
> 1. from the command line: 
>     $ echo "test" | mail -s none username 
>  
> 2. Press Control+Shift+T or select the Get All New Messages menu item... mail 
> does not show up.  However, selecting "Get New Messages for movemail" works.


I'm also having this problem and also the movemail account I have isn't checked
at startup or every x minutes even though the options are set - I have 4 other
accounts, ISP-based and they work just fine.

To get the mails from the movemail account I have to select it and "Get Mail" or
select it from the drop-down box on the "Get Mail" button.

Using Gentoo Linux and Thunderbird binary version:

mail-client/mozilla-thunderbird-bin-1.0.6-r3
Comment 2 paolino 2006-03-22 01:14:37 PST
Same here on fbsd, Mozilla 1.7.12.
The mails are not downloaded ,not at startup, not at scheduled time.
Comment 3 Nigel McNie 2006-05-10 16:56:21 PDT
I also have this problem, using Debian-installed thunderbird 1.5. Symptoms exactly as described above.
Comment 4 Philip Withnall (unavailable) 2006-05-31 10:54:01 PDT
*** Bug 339778 has been marked as a duplicate of this bug. ***
Comment 5 poblenou 2006-06-26 07:53:21 PDT
I also have this problem, using Redhat_9.0 and Fedora_C3 whit thunderbird 1.5.0.4 Symptoms exactly as described above. Furthermore:

Thunderbird does not run automatically the Junk Mail control.
However, when I run manually the Tools-->Run Junk Mail Controls,
 everything goes fine (thunderbird marks correctly the spam e-mails
 and moves them to the Junk folder), but it is impossible to
 do that automatically, that is when i get the messages,
 without running the command manually.
Comment 6 twm 2006-07-12 14:22:14 PDT
I am also having this problem.  I am running Thunderbird 1.5.0.4 on Mac OS X 10.4.7 Intel.

Thanks,
- Tim Macinta
Comment 7 gero 2006-07-24 16:35:40 PDT
I confirm the problem with Thunderbird 1.0.8-1.4.1 (20060420).

How come this bug is still status "unconfirmed" after so many people have reported the same problem?
Comment 8 David :Bienvenu 2006-07-24 16:37:47 PDT
anyone see this with nightly 2.0 or trunk builds?
Comment 9 gero 2006-08-09 08:27:37 PDT
Confirm the problem again with Thunderbird 1.5.0.5 (20060726).

Can someone please promote this bug to 'confirmed'?
Comment 10 Karsten Düsterloh 2006-08-09 13:28:28 PDT
Confirming as requested by comments #5 and #9.
Comment 11 Edward Tandi 2007-04-23 02:41:24 PDT
I am having the same problem with the latest Thunderbird 2.0.0.0. Isn't it about time somebody looked at this? It's the "Check for new messages every <X> minutes" functionality I need to get working. Pressing "Get Mail" all the time is a real pain.
Comment 12 guivho 2007-08-12 11:16:42 PDT
It's more than THIRTY MONTHS since this initial bug report. Maybe somebody should have a look into this annoying bug!
Comment 13 Wayne Mery (:wsmwk, NI for questions) 2007-11-02 16:40:41 PDT
(In reply to comment #8)
> anyone see this with nightly 2.0 or trunk builds?

David, knowing it doesn't work in 2.0 (comment 11) is a test of a nightly of any value?

bug 384665 a dupe?
related? bug 272652, bug 270186
Comment 14 Karsten Düsterloh 2008-02-06 13:20:42 PST
*** Bug 376354 has been marked as a duplicate of this bug. ***
Comment 15 Karsten Düsterloh 2008-02-06 14:06:45 PST
Created attachment 301747 [details] [diff] [review]
check movemail account on startup and GetAllMessages

- The startup issue is almost trivial, just one flag to change.
- Getting mail requires an additional method overloading.
Comment 16 Timo Reimann 2008-04-04 10:57:15 PDT
(In reply to comment #15)
> Created an attachment (id=301747) [details]
> check movemail account on startup and GetAllMessages
> 
> - The startup issue is almost trivial, just one flag to change.
> - Getting mail requires an additional method overloading.

I applied your patch against Thunderbird 2.0.0.12 running under Ubuntu 7.10 but it failed to work. Mail for my movemail account still isn't being checked unless I explicitly get it for the account.

What version of TB did you verify the patch with? Do you (or anyone else, for that matter) mind re-testing the patch against my TB version or any other considered stable?

Comment 17 Karsten Düsterloh 2008-04-05 13:21:45 PDT
The patch is *not* against 1.8 branch, but against trunk.
And as such it works when building TB 3 or SM 2 from trunk, I just checked that it still applies.
Comment 18 Timo Reimann 2008-04-05 15:59:16 PDT
(In reply to comment #17)
> The patch is *not* against 1.8 branch, but against trunk.
> And as such it works when building TB 3 or SM 2 from trunk, I just checked that
> it still applies.

Since the release of TB 3 doesn't seem to occur very soon, I'd like to modify the patch such that it applies to TB 2(.0.0.12) as well.

Would you mind publishing a 1.8 branch-compatible patch or giving details on what needs to be done in the 1.8 branch code for your patch to work? I'm willing to dig into the code somewhat although I'm a complete novice to Mozilla/Thunderbird development.
Comment 19 Karsten Düsterloh 2008-04-29 10:47:06 PDT
Comment on attachment 301747 [details] [diff] [review]
check movemail account on startup and GetAllMessages

Trying the old new kid on the block instead... ;-)
Comment 20 kevin martin 2008-06-27 07:19:33 PDT
Still doesn't work in 2.0.0.14.  Any plans on getting this fixed (now almost 3 years after the initial report of the problem...goodness, you'd think we were dealing with Oracle here!) in the 2.x version of Tbird?
Comment 21 Karsten Düsterloh 2008-06-27 12:28:18 PDT
(In reply to comment #20)
> Still doesn't work in 2.0.0.14.

And most probably never will. TB3 is already in Alpha land and thus (plus the fact that this is no security fix) the 1.8 branch is not a likely target.

Given that I get some reviews any time "soon"...
Comment 22 Karsten Düsterloh 2008-06-27 12:38:22 PDT
Comment on attachment 301747 [details] [diff] [review]
check movemail account on startup and GetAllMessages

David's back...
Comment 23 David :Bienvenu 2008-06-27 12:41:46 PDT
Comment on attachment 301747 [details] [diff] [review]
check movemail account on startup and GetAllMessages

looks very reasonable.
Comment 24 Karsten Düsterloh 2008-06-27 13:46:17 PDT
Landed on CVS trunk aka 1.9.0.
Comment 25 Jens Hatlak (:InvisibleSmiley) 2008-06-28 17:09:46 PDT
Created attachment 327299 [details] [diff] [review]
untested mozilla1.8 branch patch

(In reply to comment #18)
This should do it for the 1.8 branch (TB2/SM1.1). It's untested (yet) but as Karsten stated, even if it works it'll probably not be accepted. Since SM 2 is nowhere near completion I regret that decision but anyway I'm thankful that it's at least fixed on the trunk now. Good work!
Comment 26 gero 2008-11-17 05:23:01 PST
I confirm that it works for me in TB 2.0.0.17. Thanks!
Comment 27 Jean-Philippe Fleury 2009-03-26 22:58:58 PDT
Any news about this bug? It's written «Status: RESOLVED FIXED», but in which version the fix will be applied?

Thanks.
Comment 28 Karsten Düsterloh 2009-03-27 00:16:13 PDT
(In reply to comment #27)
> in which version the fix will be applied?

SeaMonkey 2/Thunderbird 3, including current alpha/beta versions thereof.
Comment 29 Jean-Philippe Fleury 2009-03-27 07:27:41 PDT
(In reply to comment #28)
> SeaMonkey 2/Thunderbird 3, including current alpha/beta versions thereof.

Thanks a lot.
Comment 30 Scott Nelson 2009-11-17 16:01:38 PST
(In reply to comment #28)
> (In reply to comment #27)
> > in which version the fix will be applied?
> 
> SeaMonkey 2/Thunderbird 3, including current alpha/beta versions thereof.

This is still broken in TB 3.0b4 (linux binary) and when building 3.0b4 from the source (under RHEL5.4).  I also MANUALLY applied the patch that was previously mentioned, but it didn't seem to make any difference.  (the patch which modifies nsMovemailIncomingServer.{h,cpp} and nsMovemailService.cpp)

Thunderbird doesn't auto-get based on the timed interval or at startup.  It only gets the mail from /var/spool/mail/username when the GetMail button is pressed; and then correctly puts it into username/.thunderbird/*.default/Mail/localhost/Inbox    But to get more mail later, I have to press GetMail again.

Can you confirm that this is indeed fixed in the 3.0b4 source that was officially released.  If not, can you point me to *a* source where it does work.

Thanks for your efforts,

Scott Nelson
Comment 31 Joshua Cranmer [:jcranmer] 2009-11-17 16:26:50 PST
(In reply to comment #30)
> Thunderbird doesn't auto-get based on the timed interval or at startup.  It
> only gets the mail from /var/spool/mail/username when the GetMail button is
> pressed; and then correctly puts it into
> username/.thunderbird/*.default/Mail/localhost/Inbox    But to get more mail
> later, I have to press GetMail again.

The issue you see there is bug 480945, a separate bug. The issue described in this bug has been fixed, as your comment indicates (pressing Get Mail causes mail to be downloaded, i.e., it was fixed).

Note You need to log in before you can comment on or make changes to this bug.